# Class PaginationResponse<T>

Namespace
  adas_core.Domain.Models.Responses

Assembly
  adas-core.Domain.dll

Represents a generic response wrapper for paginated data, typically used to return a subset of items along with associated pagination metadata.

    public class PaginationResponse<T>

#### Type Parameters

`T`

  The type of the items contained in the paginated response.

Inheritance
  object
  PaginationResponse<T>

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### PaginationResponse(List<T>, int, int, long)

    public PaginationResponse(List<T> data, int pageNumber, int pageSize, long totalRecords)

#### Parameters

`data` List<T>
`pageNumber` int
`pageSize` int
`totalRecords` long

## Properties

### Data

    public List<T> Data { get; set; }

#### Property Value

List<T>

### PageNumber

    public int PageNumber { get; set; }

#### Property Value

int

### PageSize

    public int PageSize { get; set; }

#### Property Value

int

### TotalPages

    public long TotalPages { get; set; }

#### Property Value

long

### TotalRecords

    public long TotalRecords { get; set; }

#### Property Value

long